/* ########## 3.4 Cards ########## */

.c-card__header,
.c-card__footer {
  border-color: $gray-lightest;
}

.c-card__title {
  color: $brand-inverse;
  font-weight: bold;
  margin-bottom: 20px;
}

.c-accordion {
  .c-card {
    @include border-radius(0);

    + .c-card { border-top-width: 0; }
    &:first-child{
      &,
      .c-card__header a { @include border-top-radius($border-radius); }
    }
    &:last-child {
      &,
      .c-card__header a.collapsed { @include  border-bottom-radius($border-radius); }
    }
  }

  .c-card__header {
    padding: 0;
    background-color: transparent;
    border-bottom-width: 0;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;

    a {
      display: block;
      padding: 15px 20px;

      &.c-collapsed {
        &:hover,
        &:focus { background-color: $gray-lightest; }
      }
    }
  }

  .c-card__footer {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
  }

  .c-card__block {
    padding-top: 0;
  }
}

.c-accordion__head--colored {
  .c-card__header a {
    position: relative;
    margin: -1px -1px 16px;
    color: #fff;
    font-weight: 500;
    letter-spacing: -.25px;
  }

  .c-card__header a.collapsed {
    background-color: transparent;
    margin: 0;
    font-weight: 600;
  }
}

.c-accordion--primary { @include accordion-head-variant($brand-primary); }
.c-accordion--success { @include accordion-head-variant($brand-success); }
.c-accordion--warning { @include accordion-head-variant($brand-warning); }
.c-accordion--danger  { @include accordion-head-variant($brand-danger);  }
.c-accordion--info    { @include accordion-head-variant($brand-info);    }
.c-accordion--inverse { @include accordion-head-variant($brand-inverse); }

.c-card__deck-sm {
  .c-card:not(:last-child),
  .c-card:not(:first-child) {
    margin-left: 5px;
    margin-right: 5px;
  }
  .c-card:first-child { margin-left: 0; }
  .c-card:last-child { margin-right: 0; }
}

.c-card__deck-md {
  .c-card:not(:last-child),
  .c-card:not(:first-child) {
    margin-left: 15px;
    margin-right: 15px;
  }
  .c-card:first-child { margin-left: 0; }
  .c-card:last-child { margin-right: 0; }
}

.c-card__deck-lg {
  .c-card:not(:last-child),
  .c-card:not(:first-child) {
    margin-left: 20px;
    margin-right: 20px;
  }
  .c-card:first-child { margin-left: 0; }
  .c-card:last-child { margin-right: 0; }
}

.c-card__deck {
  @media (max-width: 799px) {
    display: block;
    .c-card {
      &:not(:last-child),
      &:not(:first-child) {
        margin-left: 0;
        margin-right: 0;
      }

      + .c-card { margin-top: 20px; }
    }
  }
}

.c-card__columns {
  .c-card { margin-bottom: 20px; }

  @include media-breakpoint-up(sm) { column-count: 2; }
  @include media-breakpoint-up(lg) { column-count: 3; }

  &.column-count-2 {
    @include media-breakpoint-up(sm) { column-count: 2;}
  }

  &.column-count-4 {
    @media (min-width: 480px) { column-count: 2; }
    @include media-breakpoint-up(md) { column-count: 3;}
    @include media-breakpoint-up(lg) { column-count: 4; }
  }

  &.column-count-5 {
    @media (min-width: 480px) { column-count: 2; }
    @include media-breakpoint-up(md) { column-count: 3;}
    @include media-breakpoint-up(lg) { column-count: 4; }
    @include media-breakpoint-up(xl) { column-count: 5; }
  }

  &.column-count-6 {
    @media (min-width: 480px) { column-count: 2; }
    @include media-breakpoint-up(md) { column-count: 3;}
    @include media-breakpoint-up(lg) { column-count: 4; }
    @include media-breakpoint-up(xl) { column-count: 6; }
  }
}

.c-card__columns-sm {
  margin-top: -10px;
  -webkit-column-gap: 10px;
  column-gap: 10px;
  .c-card {
    margin-top: 10px;
    margin-bottom: 0;
  }
}

.c-card__columns-md {
  margin-top: -20px;
  -webkit-column-gap: 30px;
  column-gap: 30px;
  .c-card { margin-top: 20px; }
}

.c-card__columns-lg {
  margin-top: -30px;
  -webkit-column-gap: 40px;
  column-gap: 40px;
  .c-card { margin-top: 30px; }
}
